Yet Another HTTP Library: YaHTTP::DateTime Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
YaHTTP::DateTime Class Reference

`#include <utility.hpp>`

## Public Member Functions
| DateTime ()
void | initialize ()
void | setLocal ()
void | setGm ()
void | fromLocaltime (time_t t)
void | fromGmtime (time_t t)
void | fromTm (const struct tm *tm)
void | validate () const
std::string | rfc_str () const
std::string | cookie_str () const
void | parse822 (const std::string &rfc822_date)
void | parseCookie (const std::string &cookie_date)
time_t | unixtime () const

## Public Attributes
bool | isSet
int | year
int | month
int | day
int | wday
int | hours
int | minutes
int | seconds
int | utc_offset

## Detailed Description

Represents a date/time with utc offset

## Constructor & Destructor Documentation

YaHTTP::DateTime::DateTime | ( |  | ) |
| inline

## Member Function Documentation

std::string YaHTTP::DateTime::cookie_str | ( |  | ) | const
| inline

void YaHTTP::DateTime::fromGmtime | ( | time_t | t | ) |
| inline

void YaHTTP::DateTime::fromLocaltime | ( | time_t | t | ) |
| inline

void YaHTTP::DateTime::fromTm | ( | const struct tm * | tm | ) |
| inline

void YaHTTP::DateTime::initialize | ( |  | ) |
| inline

void YaHTTP::DateTime::parse822 | ( | const std::string & | rfc822_date | ) |
| inline

void YaHTTP::DateTime::parseCookie | ( | const std::string & | cookie_date | ) |
| inline

std::string YaHTTP::DateTime::rfc_str | ( |  | ) | const
| inline

void YaHTTP::DateTime::setGm | ( |  | ) |
| inline

void YaHTTP::DateTime::setLocal | ( |  | ) |
| inline

time_t YaHTTP::DateTime::unixtime | ( |  | ) | const
| inline

void YaHTTP::DateTime::validate | ( |  | ) | const
| inline

## Member Data Documentation

int YaHTTP::DateTime::day

int YaHTTP::DateTime::hours

bool YaHTTP::DateTime::isSet

int YaHTTP::DateTime::minutes

int YaHTTP::DateTime::month

int YaHTTP::DateTime::seconds

int YaHTTP::DateTime::utc_offset

int YaHTTP::DateTime::wday

int YaHTTP::DateTime::year

The documentation for this class was generated from the following file:

- /home/cmouse/projects/libyahttp/yahttp/utility.hpp